{% extends "admin/change_form.html" %}

{% block after_field_sets %}
    {{ block.super }}
    <div>
        <div class="js-inline-admin-formset inline-group" id="products-group"
             data-inline-type="tabular">
            <div class="tabular inline-related">
                <fieldset class="module">
                    <h2>Товары</h2>
                    <table>
                        <thead>
                        <tr>
                            <th>Название</th>
                            <th>Цвет</th>
                            <th>Стоимость за единицу</th>
                            <th>Количество</th>
                            <th>Общая стоимость</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for line in original.basket.all_lines %}
                            <tr class="form-row">
                                <td>
                                    <a href="{{ line.product.get_absolute_url }}"
                                       title="{{ line.product.title }}" target="_blank">{{ line.product.title }}</a>
                                </td>
                                <td>{{ line.product_options.colors.name }}</td>
                                <td>{{ line.unit_price }}</td>
                                <td>{{ line.quantity }}</td>
                                <td>{{ line.total }}</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </fieldset>
            </div>
        </div>
        <fieldset class="module aligned">
            <div class="form-row field-total">
                <div>
                    <label>Всего:</label>
                    <div class="readonly">{{ original.basket.total }}</div>
                </div>
            </div>
        </fieldset>
    </div>
{% endblock %}